# Nicholas Warzin

*TODO - Seasoned software development leader with experience scaling up teams and software systems in startup and government settings. Proven track record in strategic planning, team building, and product engineering. Excels in both strategic and hands-on roles with a keen focus on product and impact.*

[416.706.9935](tel:14167069935)  
[nicholas@warzin.com](mailto:nicholas@warzin.com)  
[https://github.com/tapesonthefloor](https://github.com/tapesonthefloor)

## Experience
### Alvéole

**Director, Software Development**  
*December 2021 - present*

- Led the evolution of a 200-person startup's software team from early-stage development to a successful Product Engineering team with more than 10 domain-based agile pods.
- Transformed the client-facing platform, $PLATFORM, into an engaging multi-audience dashboard and social network, leading to hundreds of thousands of returning visits per year and driving nearly $1 million in recurring sales.
- Mentored and built a team of engineers, focusing on strategic growth and professional development.

- Lead a team...

- consulted on and monitored KPIs...

**Software Development Manager**  
*October 2018 - December 2021*

- consulted on and monitored KPIs...


### Legal Aid Ontario

**Web developer**  
*April 2008 - November 2017*

- TODO Researched and engineered web-based projects focused on closing the justice gap, significantly increasing legal resource availability for at-risk populations in Ontario
- Provided systems administration, database administration, and full-stack web development for a variety of internal and external web properties including the corporate intranet and all client-facing websites as a member of the Communications department
- Planned and developed the agency-wide intranet on Microsoft SharePoint, including advanced theme and custom web part development
- Migrated multiple web properties to FOSS platforms, and moved old development stacks to modern best practice version control and deployment environments
- Developed and rolled out project management software Redmine, including full-stack development and support, custom plugin development, and adapted best practice management frameworks to our teams (agile, Scrum)
- Met with internal clients to assess needs, developed project strategies, presented project charters to executive mananagement, managed projects and teams through the entire project life cycle

- Managed various web assets within a Digital Communications team, improving accessibility to crucial services for residents.
- Developed an app demystifying the catchment areas of the province's offices, with over a million uses by the time of departure.
- Implemented version control for all codebases and migrated the team to use Redmine for better coordination.

**Town of Caledon Public Library, 1998—2003**  
*Network technician, Web developer*

- Developed and implemented first-generation digital systems for a seven-branch public library system, including a searchable online catalog, branch transfer functionality, and connectivity with emergent inter-library loan systems
- Responsible for the hardware and network administration of all seven branches
- Developed internal library software and the external website, provided graphic design work

**Freelance, 1996—present**  
*Full-stack software developer, DevOps*

- Primarily IT support until 2006, primarily web development from 2006 until present
- Developed custom CMS themes (WordPress, Drupal 6/7, Indexhibit) and plugins for clients in a variety of communities, provided web hosting services and management

## Education

Studied Network Architecture, Canadian History, Astronomy, and Architecture at Humber College and University of Toronto over the course of six years. Earned several domain-specific certificates relevant to software development and leadership.

## Skills

**Technical Skills:** Behaviour-driven testing and development, Node/Typescript, .NET, Python, PHP, Infrastructure-as-code

**Soft Skills:** Strong communicator, Agile product development, Collaborative team member, Impact-focused
